{% extends "page.html" %}
{% block left_nav %}
    <div id="left-nav" class="h2 ml-3 text-left position-absolute d-none d-xl-block">
        <ul class="nav flex-column">
            <li class="nav-item my-1">
                <a href="{{ url_for('view.instructions') }}" id="btn-help" class="nav-link btn btn-outline-nav">Help</a>
            </li>
            <li class="nav-item my-1">
                <a href="{{ url_for('view.policy') }}" id="btn-policy" class="nav-link btn btn-outline-nav">Policy</a>
            </li>
            <li class="nav-item my-1">
                <a href="{{ url_for('view.privacy') }}" id="btn-privacy" class="nav-link btn btn-outline-nav">Privacy</a>
            </li>
            {% if configuration.BUS_ROUTES %}
                <li class="nav-item my-1 mt-3">
                    <a href="{{ url_for('view.bus') }}" id="btn-bus" class="nav-link btn btn-outline-nav">Bus Times
                        <span class="ml-1 bus-icon"></span></a>
                </li>
            {% endif %}
            {% if g.admin %}
                <li class="nav-item bg-light my-1 mt-3">
                    <a href="{{ url_for('view.stats') }}" id="btn-stats" class="nav-link btn btn-outline-nav">Usage Stats</a>
                </li>
                <li class="nav-item bg-light my-1">
                    <a href="{{ url_for('view.admin') }}" id="btn-admin" class="nav-link btn btn-outline-nav">Admin</a>
                </li>
                {% if configuration.ENABLE_TRACKING %}
                    <li class="nav-item bg-light my-1">
                        <a href="{{ url_for('view.activity') }}" id="btn-admin" class="nav-link btn btn-outline-nav">Activity Log</a>
                    </li>
                {% endif %}
            {% endif %}
        </ul>
    </div>
    <div id="left-nav-collapse" class="h2 ml-3 text-left position-absolute d-block d-xl-none">
        <button class="btn btn-outline-nav my-1" type="button" data-toggle="collapse" data-target="#collapsed-nav">
             &#9776;
        </button>
        <div class="collapse z-index-top" id="collapsed-nav">
            <ul class="nav flex-column btn btn-outline-nav p-2 bg-light mt-1">
                <li class="nav-item bg-light my-1">
                    <a href="{{ url_for('view.instructions') }}" id="btn-help" class="nav-link btn btn-outline-nav">Help</a>
                </li>
                <li class="nav-item bg-light my-1">
                    <a href="{{ url_for('view.policy') }}" id="btn-policy" class="nav-link btn btn-outline-nav">Policy</a>
                </li>
                <li class="nav-item bg-light my-1">
                    <a href="{{ url_for('view.privacy') }}" id="btn-privacy" class="nav-link btn btn-outline-nav">Privacy</a>
                </li>
                {% if configuration.BUS_ROUTES %}
                    <li class="nav-item bg-light my-1 mt-3">
                        <a href="{{ url_for('view.bus') }}" id="btn-bus" class="nav-link btn btn-outline-nav">Bus Times
                            <span class="ml-1 bus-icon"></span></a>
                    </li>
                {% endif %}
                {% if g.admin %}
                    <li class="nav-item bg-light my-1 mt-3">
                        <a href="{{ url_for('view.stats') }}" id="btn-stats" class="nav-link btn btn-outline-nav">Usage Stats</a>
                    </li>
                    <li class="nav-item bg-light my-1">
                        <a href="{{ url_for('view.admin') }}" id="btn-admin" class="nav-link btn btn-outline-nav">Admin</a>
                    </li>
                    {% if configuration.ENABLE_TRACKING %}
                        <li class="nav-item bg-light my-1">
                            <a href="{{ url_for('view.activity') }}" id="btn-admin" class="nav-link btn btn-outline-nav">Activity Log</a>
                        </li>
                    {% endif %}
                {% endif %}
            </ul>
        </div>
    </div>
{% endblock left_nav %}
{% block content %}
    {% if g.kiosk %}
        <section>
            <div class="container mx-auto mt-3 text-center" id="accordion">
                <div class="my-3 collapse" id="manual-sign-in" data-parent="#accordion">
                    <div class="my-3 py-3"></div>
                    <h2>Enter CRSid</h2>
                    <form class="col-lg-6 mx-auto" action="{{ url_for('view.scan') }}" method="get">
                        <div class="form-group">
                            <input
                                type="text"
                                class="form-control form-control-lg mx-auto"
                                name="crsid"
                                id="crsid-in"
                                maxlength="128"
                                placeholder="CRSid">
                        </div>
                        <button type="submit" class="btn btn-sign-in btn-lg" name="reader" value="yellow">
                            Manual Sign In
                        </button>
                    </form>
                    <div class="py-3 my-3"><br/></div>
                </div>
                <div class="my-3 collapse" id="manual-sign-out" data-parent="#accordion">
                    <div class="my-3 py-3"></div>
                    <h2>Enter CRSid</h2>
                    <form class="col-lg-6 mx-auto" action="{{ url_for('view.scan') }}" method="get">
                        <div class="form-group">
                            <input
                                type="text"
                                class="form-control form-control-lg mx-auto"
                                name="crsid"
                                id="crsid-out"
                                maxlength="128"
                                placeholder="CRSid">
                        </div>
                        <button type="submit" class="btn btn-sign-out btn-lg" name="reader" value="purple">
                            Manual Sign Out
                        </button>
                    </form>
                    <div class="my-3 py-3"></div>
                </div>
            </div>
            <a
                class="btn btn-sign-in btn-lg bottom-fix left-fix"
                data-toggle="collapse"
                href="#manual-sign-in"
                role="button"
                id="btn-manual-sign-in">
                <span class="h3">Manual<br/>Sign In</span>
            </a>
            <a
                class="btn btn-sign-out btn-lg bottom-fix right-fix"
                data-toggle="collapse"
                href="#manual-sign-out"
                role="button"
                id="btn-manual-sign-out">
                <span class="h3">Manual<br/>Sign Out</span>
            </a>
        </section>
    {% else %}
        <section>
            <div class="container mx-auto py-3 mt-3 text-center">
                <div class="px-6">
                    <a class="h2 text-dark text-decoration-none" data-toggle="collapse" href="#manual-sign-in-out" role="button">
                        Manually Sign In/Out
                        <span class="carousel-control-prev-icon" id="menu-drop-icon"></span>
                    </a>
                </div>
                <div class="mt-3 collapse show" id="manual-sign-in-out">
                    <form class="col-lg-6 mx-auto" action="{{ url_for('view.scan') }}" method="get">
                        {% if user_in %}
                            <h3 class="action-sign-in">
                                You are signed in since
                                {{ datetime.fromtimestamp(user_in.timestamp).strftime('%a %H:%M') }}
                            </h3>
                        {% else %}
                            <h3 class="action-sign-out">You are currently signed out</h3>
                        {% endif %}
                        <div class="form-group">
                            <input
                                type="text"
                                class="form-control form-control-lg mx-auto"
                                name="crsid"
                                id="crsid-in-out"
                                maxlength="128"
                                placeholder="CRSid"
                                value="{{ g.user }}"
                                readonly="readonly">
                        </div>
                        <div>
                            {% if user_in %}
                                <button type="submit" class="btn btn-sign-out btn-lg" name="reader" value="purple">
                                    Sign Out
                                </button>
                            {% else %}
                                <button type="submit" class="btn btn-sign-in btn-lg" name="reader" value="yellow">
                                    Sign In
                                </button>
                            {% endif %}
                            <button type="submit" class="btn btn-secondary btn-lg" name="reader" value="edit">
                                Edit details
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </section>
    {% endif %}
    {% if people_data %}
        <div class="container text-center py-3">
            <h3 class="mx-3">Currently signed in</h3>
            <ul class="nav nav-tabs" id="signed-in-list" role="tablist">
                {% if buildings|length > 1 %}
                    {% for building in buildings %}
                        <li class="nav-item">
                            <a
                                class="nav-link building-tab {{ 'active' if building_tab == building }}"
                                id="{{ building|lower }}-tab"
                                data-toggle="tab"
                                data-building="{{ building }}"
                                href="#{{ building|lower }}-people"
                                role="tab"
                                aria-controls="{{ building|lower }}-people"
                                aria-selected="{{ 'true' if building == building_tab else 'false' }}">
                                {{ building }}
                            </a>
                        </li>
                    {% endfor %}
                    <li class="nav-item mx-1"></li>
                    <li class="nav-item">
                        <a
                            class="nav-link building-tab {{ 'active' if building_tab == 'All' }}"
                            id="all-tab"
                            data-toggle="tab"
                            data-building="All"
                            href="#all-people"
                            role="tab"
                            aria-controls="all-people"
                            aria-selected="{{ 'true' if building_tab == 'All' else 'false' }}">
                            All Buildings ({{ people_data['All']|length }})
                        </a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a
                            class="nav-link active"
                            id="all-tab"
                            data-toggle="tab"
                            href="#all-people"
                            role="tab"
                            aria-controls="all-people"
                            aria-selected="true">All Signed-In ({{ people_data['All']|length }})
                        </a>
                    </li>
                {% endif %}
            </ul>
            <div class="tab-content" id="people-lists">
                {% for building in buildings %}
                    <div
                        class="tab-pane fade {{ 'show active' if building_tab == building and buildings|length > 1 }}"
                        id="{{ building|lower }}-people"
                        role="tabpanel"
                        aria-labelledby="{{ building|lower }}-tab">
                        <table class="table table-sm table-bordered">
                            <thead class="thead-light">
                                <tr>
                                    <th>Name</th>
                                    <th class="d-none d-md-table-cell">Last seen time<br/>and location</th>
                                    <th class="d-none d-md-table-cell">Other Buildings</th>
                                    <th>Rooms</th>
                                    <th>Telephone</th>
                                    {% if g.admin %}
                                        <th>Actions</th>
                                    {% endif %}
                                </tr>
                            </thead>
                            {% for person in people_data[building] %}
                                <tr>
                                    <td>
                                        {% if g.admin %}
                                            {{ person.person.name or "No Name!" }}<br>
                                            <code>{{ person.person.crsid or person.person.mifare[:8] }}</code>
                                        {% elif person.person.name and person.person.name.strip() %}
                                            {{ person.person.name }}
                                        {% else %}
                                            <code>{{ person.person.crsid or person.person.mifare[:8] }}</code>
                                        {% endif %}
                                    </td>
                                    <td class="d-none d-md-table-cell">
                                        <span data-timestamp="{{ person.scan.timestamp }}">
                                            {{ datetime.fromtimestamp(person.scan.timestamp).strftime('%a %H:%M') }}
                                        </span>-
                                        {% if person.scan.location %}
                                            {{ person.scan.location.building }}
                                        {% else %}
                                            Remote login
                                        {% endif %}
                                    </td>
                                    <td class="d-none d-md-table-cell">{{ person.person.buildings|reject('eq', building)|join(', ') or '' }}</td>
                                    <td>{{ person.person.rooms or '-' }}</td>
                                    <td>
                                        {% if g.admin %}
                                            {{ person.person.telephone or '-' }}<br>
                                            {{ person.person.emergency_telephone or '-' }}
                                        {% else %}
                                            {{ person.person.telephone or '-' }}
                                        {% endif %}
                                    </td>
                                    {% if g.admin %}
                                        <td>
                                            <a class="btn btn-sm btn-secondary py-0 align-top" href="{{ url_for('view.scan', reader='edit', mifare=person.person.mifare, crsid=person.person.crsid) }}">Edit
                                            </a>
                                        </td>
                                    {% endif %}

                                </tr>
                            {% endfor %}
                        </table>
                    </div>
                {% endfor %}
                <div
                    class="tab-pane fade {{ 'show active' if building_tab == 'All' or buildings|length < 2 }}"
                    id="all-people"
                    role="tabpanel"
                    aria-labelledby="all-tab">
                    <table class="table table-sm table-bordered">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th class="d-none d-md-table-cell">Last seen time<br>and location</th>
                                {%  if buildings|length > 1 %}
                                    <th>Buildings</th>
                                {% endif %}
                                <th class="d-none d-md-table-cell">Rooms</th>
                                <th class="d-none d-md-table-cell">Telephone</th>
                                {% if g.admin %}
                                    <th>Actions</th>
                                {% endif %}
                            </tr>
                        </thead>
                        {% for person in people_data['All'] %}
                            <tr>
                                <td>
                                    {% if g.admin %}
                                        {{ person.person.name or "No Name!" }}<br>
                                        <code>{{ person.person.crsid or person.person.mifare[:8] }}</code>
                                    {% elif person.person.name and person.person.name.strip() %}
                                        {{ person.person.name }}
                                    {% else %}
                                        <code>{{ person.person.crsid or person.person.mifare[:8] }}</code>
                                    {% endif %}
                                </td>
                                <td class="d-none d-md-table-cell">
                                    <span data-timestamp="{{ person.scan.timestamp }}">
                                        {{ datetime.fromtimestamp(person.scan.timestamp).strftime('%a %H:%M') }}
                                    </span>-
                                    {% if person.scan.location %}
                                        {{ person.scan.location.building }}
                                    {% else %}
                                        Remote login
                                    {% endif %}
                                </td>
                                {% if buildings|length > 1 %}
                                    <td>{{ person.person.buildings|join(', ') or '' }}</td>
                                {% endif %}
                                <td class="d-none d-md-table-cell">{{ person.person.rooms or '-' }}</td>
                                <td class="d-none d-md-table-cell">
                                    {% if g.admin %}
                                        {{ person.person.telephone or '-' }}<br>
                                        {{ person.person.emergency_telephone or '-' }}
                                    {% else %}
                                        {{ person.person.telephone or '-' }}
                                    {% endif %}
                                </td>
                                {% if g.admin %}
                                    <td>
                                        <a class="btn btn-sm btn-secondary py-0 align-top" href="{{ url_for('view.scan', reader='edit', mifare=person.person.mifare, crsid=person.person.crsid) }}">Edit
                                        </a>
                                    </td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
        </div>
    {% elif g.kiosk %}
        <div class="container mx-auto">
            <div class="text-center">
                {% if people_count %}
                    <h2>{{ people_count }} in</h2>
                {% endif %}
                <div class="vh-75 py-3 mx-auto w-75 active-clock text-center" id="large-clock">
                    {{ get_svg_icon()|safe }}
                </div>
            </div>
        </div>
    {% else %}
        <div class="container text-center py-3">
            <h2>Visit a kiosk to see a list of people in the building.</h2>
        </div>
    {% endif %}
    {% if scans %}
        <div class="container text-center py-3">
            <h3>My Activity</h3>
            <table class="table table-sm table-bordered w-auto mx-auto">
                <thead class="thead-light">
                    <tr>
                        <th>Date</th>
                        <th>Action</th>
                        <th>Location</th>
                    </tr>
                </thead>
                {% for scan in scans %}
                    <tr>
                        <td>
                            <span data-timestamp="{{ scan.timestamp }}">
                                {{ datetime.fromtimestamp(scan.timestamp).strftime('%c') }}
                            </span>
                        </td>
                        <td>
                            {% if scan.reader == "yellow" %}
                                <span class="btn btn-sign-in py-0">In</span>
                            {% else %}
                                <span class="btn btn-sign-out py-0">Out</span>
                            {% endif %}
                        </td>
                        <td>
                            {% if buildings|length > 1 %}
                                <b>{{ scan.location.building }}</b>
                            {% endif %}
                            {{ scan.location.location or "Remote" }}
                        </td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    {% endif %}
    {% if g.visitor_available %}
        <a
            class="btn btn-lg btn-outline-secondary bg-light bottom-fix centre-fix switch-mode"
            id="btn-switch-to-visitor-sign-in"
            data-target-mode="visitor-sign-in"
            href="{{ url_for('view.index') }}">
            <span class="h4">⇄ Switch to {{ configuration.VISITOR_SITE_TITLE }}</span>
        </a>
    {% endif %}
    <a
        class="timeout d-none"
        href="{{ url_for('view.index') }}"
        data-timeout="{{ timeout or 35 }}">Refresh</a>
{% endblock content %}